﻿## History of changes for WinPython-64bit 3.7.4.0Ps2



The following changes were made to WinPython-64bit distribution since version 3.7.2.0Ps2.



### Tools



Upgraded packages:



  * [Nodejs](https://nodejs.org) v10.15.2 → v10.16.0 (a JavaScript runtime built on Chrome's V8 JavaScript engine)

  * [npmjs](https://www.npmjs.com/) 6.4.1 → 6.9.0 (a package manager for JavaScript)



### Python packages



New packages:



  * [affine](https://pypi.org/project/affine) 2.2.2 (Matrices describing affine transformation of the plane.)

  * [altgraph](https://pypi.org/project/altgraph) 0.16.1 (Python graph (network) package)

  * [ansiwrap](https://pypi.org/project/ansiwrap) 0.8.4 (textwrap, but savvy to ANSI colors and styles)

  * [autopep8](https://pypi.org/project/autopep8) 1.4.4 (A tool that automatically formats Python code to conform to the PEP 8 style guide)

  * [black](https://pypi.org/project/black) 19.3b0 (The uncompromising code formatter.)

  * [click_plugins](https://pypi.org/project/click_plugins) 1.1.1 (An extension module for click to enable registering CLI commands via setuptools entry-points.)

  * [cligj](https://pypi.org/project/cligj) 0.5.0 (Click params for commmand line interfaces to GeoJSON)

  * [deprecated](https://pypi.org/project/deprecated) 1.2.5 (Python @deprecated decorator to deprecate old python classes, functions or methods.)

  * [fiona](https://pypi.org/project/fiona) 1.8.6 (reads and writes spatial data files)

  * [geopandas](https://pypi.org/project/geopandas) 0.5.1 (Geographic pandas extensions)

  * [google_pasta](https://pypi.org/project/google_pasta) 0.1.7 (pasta is an AST-based Python refactoring library)

  * [hypothesis](https://pypi.org/project/hypothesis) 4.24.6 (A library for property based testing)

  * [importlib_metadata](https://pypi.org/project/importlib_metadata) 0.18 (Read metadata from Python packages)

  * [json5](https://pypi.org/project/json5) 0.8.4 (A Python implementation of the JSON5 data format.)

  * [jupyterlab_sql](https://pypi.org/project/jupyterlab_sql) 0.3.0 (SQL GUI for JupyterLab)

  * [mercantile](https://pypi.org/project/mercantile) 1.1.1 (Web mercator XYZ tile utilities)

  * [munch](https://pypi.org/project/munch) 2.3.2 (A dot-accessible dictionary (a la JavaScript objects).)

  * [papermill](https://pypi.org/project/papermill) 1.0.1 (Parametrize and Run Jupyter Notebooks)

  * [passlib](https://pypi.org/project/passlib) 1.7.1 (comprehensive password hashing framework supporting over 30 schemes)

  * [pefile](https://pypi.org/project/pefile) 2019.4.18 (Python PE parsing module)

  * [pycosat](https://pypi.org/project/pycosat) 0.6.3 (bindings to picosat (a SAT solver))

  * [pyepsg](https://pypi.org/project/pyepsg) 0.4.0 (Easy access to the EPSG database via http://epsg.io/)

  * [pyhdf](https://pypi.org/project/pyhdf) 0.10.1 (Python interface to HDF4 files (Hierarchical Data Format version 4))

  * [pyinstaller](https://pypi.org/project/pyinstaller) 3.5 (PyInstaller bundles a Python application and all its dependencies into a single package.)

  * [pyproj](https://pypi.org/project/pyproj) 2.2.2 (Python interface to PROJ.4 library)

  * [pywin32_ctypes](https://pypi.org/project/pywin32_ctypes) 0.2.0 (A (partial) reimplementation of pywin32 that is pure python (uses ctypes/cffi))

  * [quantecon](https://pypi.org/project/quantecon) 0.4.4 (A community based Python library for quantitative economics)

  * [rasterio](https://pypi.org/project/rasterio) 1.0.23 (Fast and direct raster I/O for use with Numpy and SciPy)

  * [rtree](https://pypi.org/project/rtree) 0.8.3 (R-Tree spatial index for Python GIS)

  * [snuggs](https://pypi.org/project/snuggs) 1.4.6 (Snuggs are s-expressions for Numpy)

  * [sphinxcontrib_applehelp](https://pypi.org/project/sphinxcontrib_applehelp) 1.0.1 (sphinx extension which outputs Apple help books)

  * [sphinxcontrib_devhelp](https://pypi.org/project/sphinxcontrib_devhelp) 1.0.1 (sphinx extension which outputs Devhelp document)

  * [sphinxcontrib_htmlhelp](https://pypi.org/project/sphinxcontrib_htmlhelp) 1.0.2 (sphinx extension which outputs html)

  * [sphinxcontrib_jsmath](https://pypi.org/project/sphinxcontrib_jsmath) 1.0.1 (sphinx extension which renders display math in HTML via JavaScript)

  * [sphinxcontrib_qthelp](https://pypi.org/project/sphinxcontrib_qthelp) 1.0.2 (sphinx extension which outputs QtHelp document)

  * [sphinxcontrib_serializinghtml](https://pypi.org/project/sphinxcontrib_serializinghtml) 1.1.3 (Sphinx API for Web Apps)

  * [tenacity](https://pypi.org/project/tenacity) 5.0.4 (Retry code until it succeeeds)

  * [textwrap3](https://pypi.org/project/textwrap3) 0.9.2 (textwrap from Python 3.6 backport (plus a few tweaks))

  * [toml](https://pypi.org/project/toml) 0.10.0 (Python Library for Tom's Obvious, Minimal Language)

  * [typing_extensions](https://pypi.org/project/typing_extensions) 3.7.4 ()

  * [zipp](https://pypi.org/project/zipp) 0.5.2 (Backport of pathlib-compatible object wrapper for zip files)



Upgraded packages:



  * [absl_py](https://pypi.org/project/absl_py) 0.7.0 → 0.7.1 (Abseil Python Common Libraries)

  * [altair](https://pypi.org/project/altair) 2.4.1 → 3.1.0 (High-level declarative visualization library for Python)

  * [altair_widgets](https://pypi.org/project/altair_widgets) 0.1.2 → 0.2.0 (Altair Widgets: An interactive visualization for statistical data for Python.)

  * [asteval](https://pypi.org/project/asteval) 0.9.13 → 0.9.14 (Safe, minimalistic evaluator of python expression using ast module)

  * [astor](https://pypi.org/project/astor) 0.7.1 → 0.8.0 (Read/rewrite/write Python ASTs)

  * [astroid](https://pypi.org/project/astroid) 2.2.2 → 2.2.5 (Rebuild a new abstract syntax tree from Python's ast (required for pylint))

  * [astroml](https://pypi.org/project/astroml) 0.3 → 0.4.post1 (tools for machine learning and data mining in Astronomy)

  * [astropy](https://pypi.org/project/astropy) 3.1.2 → 3.2.1 (Community-developed python astronomy tools)

  * [babel](https://pypi.org/project/babel) 2.6.0 → 2.7.0 (Internationalization utilities)

  * [blosc](https://pypi.org/project/blosc) 1.7.0 → 1.8.1 (Blosc data compressor)

  * [bloscpack](https://pypi.org/project/bloscpack) 0.13.0 → 0.16.0 (Command line interface to and serialization format for Blosc)

  * [bokeh](https://pypi.org/project/bokeh) 1.0.4 → 1.2.0 (Statistical and novel interactive HTML plots for Python)

  * [bqplot](https://pypi.org/project/bqplot) 0.11.5 → 0.11.6 (Interactive plotting for the Jupyter notebook, using d3.js and ipywidgets.)

  * [certifi](https://pypi.org/project/certifi) 2018.11.29 → 2019.6.16 (Python package for providing Mozilla's CA Bundle.)

  * [cffi](https://pypi.org/project/cffi) 1.12.2 → 1.12.3 (Foreign Function Interface for Python calling C code.)

  * [cloudpickle](https://pypi.org/project/cloudpickle) 0.8.0 → 1.2.1 (Extended pickling support for Python objects)

  * [colorcet](https://pypi.org/project/colorcet) 1.0.1 → 2.0.1 (A set of useful perceptually uniform colormaps for plotting scientific data)

  * [cvxpy](https://pypi.org/project/cvxpy) 1.0.19 → 1.0.24 (A domain-specific language for modeling convex optimization problems in Python)

  * [cython](https://pypi.org/project/cython) 0.29.6 → 0.29.12 (Cython is a language that makes writing C extensions for the Python language as easy as Python)

  * [cytoolz](https://pypi.org/project/cytoolz) 0.9.0.1 → 0.10.0 (Cython implementation of Toolz: High performance functional utilities)

  * [dask](https://pypi.org/project/dask) 1.1.3 → 2.1.0 (Minimal task scheduling abstraction)

  * [datashader](https://pypi.org/project/datashader) 0.6.9 → 0.7.0 (Data visualization toolchain based on aggregating into a grid)

  * [decorator](https://pypi.org/project/decorator) 4.3.2 → 4.4.0 (Better living through Python with decorators)

  * [defusedxml](https://pypi.org/project/defusedxml) 0.5.0 → 0.6.0 (XML bomb protection for Python stdlib modules)

  * [dill](https://pypi.org/project/dill) 0.2.9 → 0.3.0 (serialize all of python (almost))

  * [distributed](https://pypi.org/project/distributed) 1.26.0 → 2.1.0 (Distributed computing)

  * [fasteners](https://pypi.org/project/fasteners) 0.14.1 → 0.15 (A python package that provides useful locks.)

  * [fastparquet](https://pypi.org/project/fastparquet) 0.2.1 → 0.3.1 (Python support for Parquet file format)

  * [flask](https://pypi.org/project/flask) 1.0.2 → 1.1.1 (A microframework based on Werkzeug, Jinja2 and good intentions)

  * [gdal](https://pypi.org/project/gdal) 2.3.3 → 3.0.1 (Geospatial Data Abstraction Library)

  * [geopy](https://pypi.org/project/geopy) 1.18.1 → 1.20.0 (Python Geocoding Toolbox)

  * [grpcio](https://pypi.org/project/grpcio) 1.19.0 → 1.21.1 (HTTP/2-based RPC framework)

  * [holoviews](https://pypi.org/project/holoviews) 1.11.3 → 1.12.3 (Composable, declarative data structures for building complex visualizations easily.)

  * [imageio_ffmpeg](https://pypi.org/project/imageio_ffmpeg) 0.2.0 → 0.3.0 (FFMPEG wrapper for Python)

  * [imbalanced_learn](https://pypi.org/project/imbalanced_learn) 0.4.3 → 0.5.0 (Toolbox for imbalanced dataset in machine learning.)

  * [intake](https://pypi.org/project/intake) 0.4.1 → 0.5.0 (Data input plugin and catalog system)

  * [ipydatawidgets](https://pypi.org/project/ipydatawidgets) 4.0.0 → 4.0.1 (A set of widgets to help facilitate reuse of large datasets across widgets)

  * [ipykernel](https://pypi.org/project/ipykernel) 5.1.0 → 5.1.1 (IPython Kernel for Jupyter)

  * [ipyleaflet](https://pypi.org/project/ipyleaflet) 0.10.0 → 0.11.1 (A Jupyter widget for dynamic Leaflet maps)

  * [ipympl](https://pypi.org/project/ipympl) 0.2.1 → 0.3.3 (Matplotlib Jupyter Extension)

  * [ipyparallel](https://pypi.org/project/ipyparallel) 6.2.3 → 6.2.4 (Interactive Parallel Computing with IPython)

  * [ipython](https://pypi.org/project/ipython) 7.3.0 → 7.6.1 (Enhanced Python shell)

  * [ipywidgets](https://pypi.org/project/ipywidgets) 7.4.2 → 7.5.0 (IPython HTML widgets for Jupyter)

  * [isort](https://pypi.org/project/isort) 4.3.9 → 4.3.21 (A Python utility / library to sort Python imports.)

  * [jedi](https://pypi.org/project/jedi) 0.13.3 → 0.14.0 (An autocompletion tool for Python that can be used for text editors)

  * [jinja2](https://pypi.org/project/jinja2) 2.10 → 2.10.1 (Sandboxed template engine (provides a Django-like non-XML syntax and compiles templates into executable python code))

  * [jsonschema](https://pypi.org/project/jsonschema) 3.0.0 → 3.0.1 (An implementation of JSON Schema validation for Python)

  * [julia](https://pypi.org/project/julia) 0.2.0 → 0.4.1 (Python interface to the Julia language)

  * [jupyter_core](https://pypi.org/project/jupyter_core) 4.4.0 → 4.5.0 (Jupyter core package. A base package on which Jupyter projects rely.)

  * [jupyterlab](https://pypi.org/project/jupyterlab) 0.35.4 → 1.0.2 (Jupyter lab environment notebook server extension)

  * [jupyterlab_server](https://pypi.org/project/jupyterlab_server) 0.2.0 → 1.0.0 (JupyterLab Server)

  * [keras_applications](https://pypi.org/project/keras_applications) 1.0.7 → 1.0.8 (Reference implementations of popular deep learning models)

  * [keras_preprocessing](https://pypi.org/project/keras_preprocessing) 1.0.9 → 1.1.0 (Easy data preprocessing and data augmentation for deep learning models)

  * [kiwisolver](https://pypi.org/project/kiwisolver) 1.0.1 → 1.1.0 (an efficient implementation of the Cassowary constraint solving algorithm.)

  * [lazy_object_proxy](https://pypi.org/project/lazy_object_proxy) 1.3.1 → 1.4.1 (A fast and thorough lazy object proxy.)

  * [llvmlite](https://pypi.org/project/llvmlite) 0.27.0 → 0.29.0 (lightweight wrapper around basic LLVM functionality)

  * [lmfit](https://pypi.org/project/lmfit) 0.9.12 → 0.9.13 (Least-Squares Minimization with Bounds and Constraints)

  * [loky](https://pypi.org/project/loky) 2.4.2 → 2.5.1 (Robust and reusable Executor for joblib)

  * [lxml](https://pypi.org/project/lxml) 4.3.2 → 4.3.4 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [markdown](https://pypi.org/project/markdown) 3.0.1 → 3.1.1 (Python implementation of Markdown.)

  * [matplotlib](https://pypi.org/project/matplotlib) 3.0.3 → 3.1.1 (2D plotting library (embeddable in GUIs created with PyQt))

  * [metakernel](https://pypi.org/project/metakernel) 0.20.14 → 0.24.2 (Metakernel for Jupyter)

  * [mizani](https://pypi.org/project/mizani) 0.5.2 → 0.5.4 (Scales for Python)

  * [mkl_service](https://pypi.org/project/mkl_service) 1.1.2 → 2.1.0 (Python bindings to some MKL service functions)

  * [mlxtend](https://pypi.org/project/mlxtend) 0.15.0.0 → 0.16.0 (Machine Learning Library Extensions)

  * [mock](https://pypi.org/project/mock) 2.0.0 → 3.0.5 (Rolling backport of unittest.mock for all Pythons)

  * [more_itertools](https://pypi.org/project/more_itertools) 6.0.0 → 7.1.0 (More routines for operating on iterables, beyond itertools)

  * [mpl_scatter_density](https://pypi.org/project/mpl_scatter_density) 0.5 → 0.6 (Fast scatter density plots for Matplotlib)

  * [msgpack_numpy](https://pypi.org/project/msgpack_numpy) 0.4.4.2 → 0.4.4.3 (Numpy data serialization using msgpack)

  * [multiprocess](https://pypi.org/project/multiprocess) 0.70.7 → 0.70.8 (better multiprocessing and multithreading in python)

  * [mypy](https://pypi.org/project/mypy) 0.670 → 0.720 (Optional static typing for Python)

  * [mysql_connector_python](https://pypi.org/project/mysql_connector_python) 8.0.11 → 8.0.16 (MySQL driver written in Python)

  * [nbconvert](https://pypi.org/project/nbconvert) 5.4.1 → 5.5.0 (Converting Jupyter Notebooks)

  * [netcdf4](https://pypi.org/project/netcdf4) 1.4.2 → 1.5.1.2 (Provides an object-oriented python interface to the netCDF version 4 library)

  * [networkx](https://pypi.org/project/networkx) 2.3rc1.dev20181020104102 → 2.3 (Python package for creating and manipulating graphs and networks)

  * [nltk](https://pypi.org/project/nltk) 3.4 → 3.4.4 (The Natural Language Toolkit (NLTK) is a Python package for natural language processing.)

  * [notebook](https://pypi.org/project/notebook) 5.7.4 → 6.0.0rc1 (# Jupyter Notebook)

  * [numba](https://pypi.org/project/numba) 0.42.0 → 0.44.1 (compiling Python code using LLVM)

  * [numdifftools](https://pypi.org/project/numdifftools) 0.9.20 → 0.9.39 (Solves automatic numerical differentiation problems in one or more variables.)

  * [numpy](https://pypi.org/project/numpy) 1.16.2+mkl → 1.16.4+mkl (NumPy: multidimensional array processing for numbers, strings, records and objects (SciPy''s core module))

  * [numpydoc](https://pypi.org/project/numpydoc) 0.8.0 → 0.9.1 (Sphinx extension to support docstrings in Numpy format)

  * [oct2py](https://pypi.org/project/oct2py) 4.0.6 → 5.0.4 (Python to GNU Octave bridge --> run m-files from python.)

  * [octave_kernel](https://pypi.org/project/octave_kernel) 0.28.4 → 0.31.0 (A Jupyter kernel for Octave.)

  * [palettable](https://pypi.org/project/palettable) 3.1.1 → 3.2.0 (Color palettes for Python)

  * [pandas](https://pypi.org/project/pandas) 0.24.1 → 0.24.2 (Powerful data structures for data analysis, time series and statistics)

  * [panel](https://pypi.org/project/panel) 0.4.0 → 0.6.0 (A high-level Python toolkit for composing widgets and plots)

  * [param](https://pypi.org/project/param) 1.8.2 → 1.9.1 (Declarative Python programming using Parameters.)

  * [parso](https://pypi.org/project/parso) 0.3.4 → 0.5.0 (A Python Parser)

  * [partd](https://pypi.org/project/partd) 0.3.9 → 1.0.0 (Appendable key-value storage)

  * [pexpect](https://pypi.org/project/pexpect) 4.6.0+dummy → 4.7.0+dummy (Pexpect allows easy control of interactive console applications.)

  * [pg8000](https://pypi.org/project/pg8000) 1.12.4 → 1.13.1 (PostgreSQL interface library)

  * [pillow](https://pypi.org/project/pillow) 5.4.1 → 6.1.0 (Python Imaging Library (fork))

  * [pip](https://pypi.org/project/pip) 19.0.3 → 19.1.1 (A tool for installing and managing Python packages)

  * [plotnine](https://pypi.org/project/plotnine) 0.5.1 → 0.5.2.dev2 (A grammar of graphics for python)

  * [pluggy](https://pypi.org/project/pluggy) 0.9.0 → 0.12.0 (plugin and hook calling mechanisms for python)

  * [prometheus_client](https://pypi.org/project/prometheus_client) 0.6.0 → 0.7.1 (Python client for the Prometheus monitoring system.)

  * [protobuf](https://pypi.org/project/protobuf) 3.7.0 → 3.8.0 (Protocol Buffers - Google's data interchange format)

  * [psutil](https://pypi.org/project/psutil) 5.5.1 → 5.6.3 (Provides an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way)

  * [pulp](https://pypi.org/project/pulp) 1.6.9 → 1.6.10 (PuLP is an LP modeler written in python. PuLP can generate MPS or LP files and call GLPK, COIN CLP/CBC, CPLEX, and GUROBI to solve linear problems)

  * [pyarrow](https://pypi.org/project/pyarrow) 0.12.1 → 0.14.0 (Python library for Apache Arrow)

  * [pybind11](https://pypi.org/project/pybind11) 2.2.4 → 2.3.0 (Seamless operability between C++11 and Python)

  * [pygame](https://pypi.org/project/pygame) 1.9.4 → 1.9.6 (Pygame gives multimedia to python.)

  * [pygments](http://pygments.org) 2.3.1 → 2.4.2 (Generic syntax highlighter for general use in all kinds of software)

  * [pymongo](https://pypi.org/project/pymongo) 3.7.2 → 3.8.0 (Python driver for MongoDB <http://www.mongodb.org>)

  * [pyparsing](https://pypi.org/project/pyparsing) 2.3.1 → 2.4.0 (A Python Parsing Module)

  * [pyrsistent](https://pypi.org/project/pyrsistent) 0.14.11 → 0.15.3 (Persistent/Functional/Immutable data structures)

  * [pyside2](https://pypi.org/project/pyside2) 5.12.1 → 5.13.0 (Python binding of the cross-platform GUI toolkit Qt)

  * [pytest](https://pypi.org/project/pytest) 4.3.0 → 4.6.3 (pytest: simple powerful testing with Python)

  * [Python](http://www.python.org/) 3.7.2 → 3.7.4 (Python programming language with standard library)

  * [python_hdf4](https://pypi.org/project/python_hdf4) 0.9.2 → 0.10.0+dummy (Python-HDF4: Python interface to the NCSA HDF4 library)

  * [python_snappy](https://pypi.org/project/python_snappy) 0.5.3 → 0.5.4 (Python library for the snappy compression library from Google)

  * [pythonnet](https://pypi.org/project/pythonnet) 2.4.0.dev0 → 2.4.0 (.Net and Mono integration for Python)

  * [pythreejs](https://pypi.org/project/pythreejs) 2.0.2 → 2.1.1 (Interactive 3d graphics for the Jupyter notebook, using Three.js from Jupyter interactive widgets.)

  * [pytz](https://pypi.org/project/pytz) 2018.9 → 2019.1 (World Timezone Definitions for Python)

  * [pyviz_comms](https://pypi.org/project/pyviz_comms) 0.7.0 → 0.7.2 (Launch jobs, organize the output, and dissect the results)

  * [pywavelets](https://pypi.org/project/pywavelets) 1.0.2 → 1.0.3 (Wavelet transforms module)

  * [pyyaml](https://pypi.org/project/pyyaml) 4.1 → 5.1.1 (YAML parser and emitter for Python)

  * [pyzmq](https://pypi.org/project/pyzmq) 18.0.0 → 18.0.2 (Lightweight and super-fast messaging based on ZeroMQ library (required for IPython Qt console))

  * [pyzo](https://pypi.org/project/pyzo) 4.6.2a0 → 4.7.4.dev1 (the Python IDE for scientific computing)

  * [qtconsole](https://pypi.org/project/qtconsole) 4.4.3 → 4.5.1 (Jupyter Qt console)

  * [qtpy](https://pypi.org/project/qtpy) 1.6.0 → 1.8.0 (Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets.)

  * [redis](https://pypi.org/project/redis) 3.2.0 → 3.2.1 (Python client for Redis key-value store)

  * [regex](https://pypi.org/project/regex) 2019.2.21 → 2019.6.8 (Alternative regular expression module, to replace re.)

  * [reportlab](https://pypi.org/project/reportlab) 3.5.13 → 3.5.23 (The PDF generation library)

  * [requests](https://pypi.org/project/requests) 2.21.0 → 2.22.0 (Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.)

  * [rise](https://pypi.org/project/rise) 5.4.1 → 5.5.1 (Live Reveal.js Jupyter/IPython Slideshow Extension)

  * [ruamel.yaml](https://pypi.org/project/ruamel.yaml) 0.15.89 → 0.15.98 (a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order)

  * [rx](https://pypi.org/project/rx) 1.6.1 → 3.0.0b2 (Reactive Extensions (Rx) for Python)

  * [scikit_fuzzy](https://pypi.org/project/scikit_fuzzy) 0.4.0 → 0.4.1 (Fuzzy logic toolkit for SciPy)

  * [scikit_image](https://pypi.org/project/scikit_image) 0.14.2 → 0.15.0 (Image processing toolbox for SciPy)

  * [scikit_learn](https://pypi.org/project/scikit_learn) 0.20.3 → 0.21.2 (A set of Python modules for machine learning and data mining)

  * [scipy](https://pypi.org/project/scipy) 1.2.1 → 1.3.0 (SciPy: Scientific Library for Python (advanced math, signal processing, optimization, statistics, ...))

  * [scs](https://pypi.org/project/scs) 2.0.2 → 2.1.1.post2 (scs: splitting conic solver)

  * [seaborn](https://pypi.org/project/seaborn) 0.9.0 → 0.9.1.dev0 (statistical data visualization)

  * [setuptools](https://pypi.org/project/setuptools) 40.8.0 → 41.0.1 (Download, build, install, upgrade, and uninstall Python packages - easily)

  * [shapely](https://pypi.org/project/shapely) 1.6.4.post1 → 1.6.4.post2 (Geometric objects, predicates, and operations)

  * [shiboken2](https://pypi.org/project/shiboken2) 5.12.1 → 5.13.0 (Shiboken generates bindings for C++ libraries using CPython source code)

  * [snakeviz](https://pypi.org/project/snakeviz) 1.0.0 → 2.0.1 (An in-browser Python profile viewer)

  * [snowballstemmer](https://pypi.org/project/snowballstemmer) 1.2.1 → 1.9.0 (This package provides 16 stemmer algorithms (15 + Poerter English stemmer) generated from Snowball algorithms.)

  * [soupsieve](https://pypi.org/project/soupsieve) 1.8 → 1.9.2 (A CSS4 selector implementation for Beautiful Soup.)

  * [sphinx](https://pypi.org/project/sphinx) 1.8.4 → 2.1.2 (Tool for generating documentation which uses reStructuredText as its markup language)

  * [sqlalchemy](https://pypi.org/project/sqlalchemy) 1.2.18 → 1.3.5 (SQL Toolkit and Object Relational Mapper)

  * [sqlite_bro](https://pypi.org/project/sqlite_bro) 0.8.11 → 0.9.1 (a graphic SQLite Client in 1 Python file)

  * [sqlparse](https://pypi.org/project/sqlparse) 0.2.4 → 0.3.0 (Non-validating SQL parser)

  * [statsmodels](https://pypi.org/project/statsmodels) 0.9.0 → 0.10.0 (Statistical computations and models for use with SciPy)

  * [sympy](https://pypi.org/project/sympy) 1.3 → 1.4 (Symbolic Mathematics Library)

  * [tables](https://pypi.org/project/tables) 3.4.4 → 3.5.2 (Package based on HDF5 library for managing hierarchical datasets (extremely large amounts of data))

  * [tblib](https://pypi.org/project/tblib) 1.3.2 → 1.4.0 (Traceback serialization library.)

  * [tensorboard](https://pypi.org/project/tensorboard) 1.13.0 → 1.14.0 (TensorBoard lets you watch Tensors Flow)

  * [tensorflow](https://pypi.org/project/tensorflow) 1.13.1 → 1.14.0 (TensorFlow helps the tensors flow)

  * [tensorflow_estimator](https://pypi.org/project/tensorflow_estimator) 1.13.0 → 1.14.0 (TensorFlow Estimator.)

  * [tensorflow_probability](https://pypi.org/project/tensorflow_probability) 0.6.0 → 0.7.0 (Probabilistic modeling and statistical inference in TensorFlow)

  * [terminado](https://pypi.org/project/terminado) 0.8.1 → 0.8.2 (Terminals served to term.js using Tornado websockets)

  * [toolz](https://pypi.org/project/toolz) 0.9.0 → 0.10.0 (List processing tools and functional utilities)

  * [torch](https://pypi.org/project/torch) 1.0.1 → 1.1.0 (a deep learning framework.)

  * [torchvision](https://pypi.org/project/torchvision) 0.2.2.post3 → 0.3.0 (Datasets, Transforms and Models specific to Computer Vision)

  * [tornado](https://pypi.org/project/tornado) 5.1.1 → 6.0.3 (Scalable, non-blocking web server and tools (required for IPython notebook))

  * [tqdm](https://pypi.org/project/tqdm) 4.31.1 → 4.32.2 (A Simple Python Progress Meter)

  * [typed_ast](https://pypi.org/project/typed_ast) 1.3.1 → 1.4.0 (a fork of Python 2 and 3 ast modules with type comment support)

  * [uncertainties](https://pypi.org/project/uncertainties) 3.0.3 → 3.1.1 (Transparent calculations with uncertainties on the quantities involved (aka error propagation); fast calculation of derivatives)

  * [urllib3](https://pypi.org/project/urllib3) 1.24.1 → 1.25.3 (HTTP library with thread-safe connection pooling, file post, and more.)

  * [vega](https://pypi.org/project/vega) 2.0rc2 → 2.4.0 (An IPython/ Jupyter widget for Vega and Vega-Lite)

  * [werkzeug](https://pypi.org/project/werkzeug) 0.14.1 → 0.15.4 (The Swiss Army knife of Python web development)

  * [wheel](https://pypi.org/project/wheel) 0.33.1 → 0.33.4 (A built-package format for Python.)

  * [widgetsnbextension](https://pypi.org/project/widgetsnbextension) 3.4.2 → 3.5.0 (IPython HTML widgets for Jupyter)

  * [winpython](http://winpython.github.io/) 1.11.20190223 → 2.0.20190705 (WinPython distribution tools, including WPPM (package manager))

  * [wrapt](https://pypi.org/project/wrapt) 1.11.1 → 1.11.2 (A Python module for decorators, wrappers and monkey patching.)

  * [xarray](https://pypi.org/project/xarray) 0.11.3 → 0.12.3 (N-D labeled arrays and datasets in Python)

  * [xlsxwriter](https://pypi.org/project/xlsxwriter) 1.1.5 → 1.1.7 (A Python module for creating Excel XLSX files.)

  * [xlwings](https://pypi.org/project/xlwings) 0.15.3 → 0.15.8 (Interact with Excel from Python and vice versa)

  * [zarr](https://pypi.org/project/zarr) 2.2.0 → 2.3.2 (A minimal implementation of chunked, compressed, N-dimensional arrays for Python.)

  * [zict](https://pypi.org/project/zict) 0.1.3 → 1.0.0 (Mutable mapping tools)



Removed packages:



  * [algopy](https://pypi.org/project/algopy) 0.5.7 (Taylor Arithmetic Computation and Algorithmic Differentiation)

  * [fastcache](https://pypi.org/project/fastcache) 1.0.2 (C implementation of Python 3 functools.lru_cache)

  * [pbr](https://pypi.org/project/pbr) 5.1.3 (Python Build Reasonableness)

  * [pytest_runner](https://pypi.org/project/pytest_runner) 4.2 (Invoke py.test as distutils command with dependency resolution)

  * [singledispatch](https://pypi.org/project/singledispatch) 3.4.0.3 (This library brings functools.singledispatch from Python 3.4 to Python 2.6-3.3)

  * [sphinxcontrib_websupport](https://pypi.org/project/sphinxcontrib_websupport) 1.1.0 (Sphinx API for Web Apps)



* * *

